Skip to main content

createSourceCodeVulnerability

Create a Source Code Vulnerability

createSourceCodeVulnerability(
input: CreateSourceCodeVulnerabilityInput!
): CreateSourceCodeVulnerabilityPayload

Arguments​

createSourceCodeVulnerability.input ● CreateSourceCodeVulnerabilityInput! non-null input​

Parameters for CreateSourceCodeVulnerability

Type​

CreateSourceCodeVulnerabilityPayload object​

Autogenerated return type of CreateSourceCodeVulnerability.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateSourceCodeVulnerability($input: CreateSourceCodeVulnerabilityInput!) {\n createSourceCodeVulnerability(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"assetId":1,"title":"example","description":"example","solution":"example","severity":"NOTIFICATION","summary":"example","impactDescription":"example","stepsToReproduce":"example","codeSnippet":"example","vulnerableLine":1,"firstLine":1,"fileName":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute